﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Frog : MonoBehaviour
{
    Transform m_frogLocation;
    Difficulty m_difficulty;
    Rigidbody2D m_rigidbody;

    float m_scrollingMovement;
    float m_randomSpawn;
    float m_randomJump;
    float m_startLocation;
    float m_jumping;

    bool isActive;
    bool isJumping;

    // Start is called before the first frame update
    void Start()
    {
        GameObject difficulty = GameObject.Find("GameManager");

        m_frogLocation = GetComponent<Transform>();
        m_difficulty = difficulty.GetComponent<Difficulty>();
        m_rigidbody = GetComponent<Rigidbody2D>();

        isActive = false;
        isJumping = false;
        m_startLocation = 10;
        m_jumping = -3;
    }

    // Update is called once per frame
    void Update()
    {
        m_randomSpawn = Mathf.Round((Random.Range(0, 100)));
        print(m_startLocation);

        if (m_frogLocation.position.x <= -8)
        {
            m_scrollingMovement = m_startLocation;
            isActive = false;
        }

        if (m_randomSpawn <= 5 && !isActive && m_difficulty.difficulty >= 2)
        {
            isActive = true;
            m_frogLocation.position = new Vector3(m_startLocation, m_jumping, m_frogLocation.position.z);
        }
        else if(isActive)
        {
            m_scrollingMovement -= Time.deltaTime * m_difficulty.difficulty;
            Jump();
            m_frogLocation.position = new Vector3(m_scrollingMovement, m_jumping, m_frogLocation.position.z);
        } 
    }

    void Jump()
    {
        //code crashes game, need to sort it out

        /*m_randomJump = Mathf.Round((Random.Range(0, 100)));
        if (!isJumping && m_randomJump <= 5)
        {
            if (Mathf.Round(m_frogLocation.position.y) == 3)
            {
                while (m_frogLocation.position.y > -3)
                {
                    m_jumping += Time.deltaTime; 
                }
            }
            else if (Mathf.Round(m_frogLocation.position.y) == -3)
            {
                while (m_frogLocation.position.y < 3)
                {
                    m_jumping -= Time.deltaTime;
                }
            }
        }*/
    }
}
