﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.XR.WSA.Input;

public class ClickManager : MonoBehaviour
{
    Gate m_currentLock;

    void Start()
    {
        GameObject currentLock = GameObject.Find("Gate");
        m_currentLock = currentLock.GetComponent<Gate>();
    }
    
    void Update()
    {
        if (Input.GetMouseButtonDown(0))
        {
            Vector3 mousePos = Camera.main.ScreenToWorldPoint(Input.mousePosition);
            Vector2 mousePos2D = new Vector2(mousePos.x, mousePos.y);

            RaycastHit2D hit = Physics2D.Raycast(mousePos2D, Vector2.zero);
            if (hit.collider.gameObject.name == "Lock")
            {
                Debug.Log(m_currentLock.lockHP);
                m_currentLock.lockHP -= 1 ;
            }
        }
    }
}
